Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLTreeEditPanel.TNodeParser

    java.lang.Object
      ix.util.xml.XMLTreeEditPanel.TNodeParser

Enclosing class:
  XMLTreeEditPanel

     class XMLTreeEditPanel.TNodeParser

extends java.lang.Object

Responsible for understanding the object-like structure of tree nodes and for converting nodes into JDOM Documents or Elements.

Field Summary
`(package private) java.util.Map` | `elementToNodeMap`

Constructor Summary
`XMLTreeEditPanel.TNodeParser()`

Method Summary
`(package private) void` | `addAttribute(org.jdom.Element elt, XMLTreeEditPanel.TNode attrNode)`
`(package private) void` | `addAttributes(org.jdom.Element elt, XMLTreeEditPanel.TNode node)`
`(package private) org.jdom.Document` | `documentFrom(XMLTreeEditPanel.TNode node)`
`(package private) org.jdom.Element` | `elementFrom(XMLTreeEditPanel.TNode node)`
`(package private) XMLTreeEditPanel.TNode` | `getAttributeContainingObjectNode(XMLTreeEditPanel.TNode attrNode)`
`(package private) java.lang.String` | `getAttributeName(XMLTreeEditPanel.TNode node)`
`(package private) java.lang.String` | `getAttributeValue(XMLTreeEditPanel.TNode node)`
`(package private) XMLTreeEditPanel.TNode` | `getNodeForElement(org.jdom.Element elt)`
`(package private) boolean` | `hasAttributes(XMLTreeEditPanel.TNode node)`
`(package private) boolean` | `isAtomicValue(XMLTreeEditPanel.TNode node)`
`(package private) boolean` | `isAttribute(XMLTreeEditPanel.TNode node)`
`(package private) boolean` | `isAttributesList(XMLTreeEditPanel.TNode node)`
`(package private) boolean` | `isTextWithAttributes(XMLTreeEditPanel.TNode node)`
`(package private) boolean` | `looksLikeDataValue(XMLTreeEditPanel.TNode node)`
`(package private) java.lang.String[]` | `parseAttribute(XMLTreeEditPanel.TNode attrNode)`
`(package private) org.jdom.Element` | `structElementFrom(XMLTreeEditPanel.TNode node)`
`(package private) XMLTreeEditPanel.InvalidNode` | `syntaxError(XMLTreeEditPanel.TNode culprit, java.lang.String message)`
`(package private) org.jdom.Element` | `textWithAttributesFrom(XMLTreeEditPanel.TNode node)`
`(package private) org.jdom.Element` | `valueElementFrom(XMLTreeEditPanel.TNode node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elementToNodeMap

    java.util.Map elementToNodeMap

Constructor Detail

### XMLTreeEditPanel.TNodeParser

    XMLTreeEditPanel.TNodeParser()

Method Detail

### documentFrom

    org.jdom.Document documentFrom(XMLTreeEditPanel.TNode node)

### elementFrom

    org.jdom.Element elementFrom(XMLTreeEditPanel.TNode node)

### getNodeForElement

    XMLTreeEditPanel.TNode getNodeForElement(org.jdom.Element elt)

### valueElementFrom

    org.jdom.Element valueElementFrom(XMLTreeEditPanel.TNode node)

### textWithAttributesFrom

    org.jdom.Element textWithAttributesFrom(XMLTreeEditPanel.TNode node)

### structElementFrom

    org.jdom.Element structElementFrom(XMLTreeEditPanel.TNode node)

### addAttributes

    void addAttributes(org.jdom.Element elt,
                       XMLTreeEditPanel.TNode node)

### addAttribute

    void addAttribute(org.jdom.Element elt,
                      XMLTreeEditPanel.TNode attrNode)

### parseAttribute

    java.lang.String[] parseAttribute(XMLTreeEditPanel.TNode attrNode)

### hasAttributes

    boolean hasAttributes(XMLTreeEditPanel.TNode node)

### isAttributesList

    boolean isAttributesList(XMLTreeEditPanel.TNode node)

### isAttribute

    boolean isAttribute(XMLTreeEditPanel.TNode node)

### getAttributeName

    java.lang.String getAttributeName(XMLTreeEditPanel.TNode node)

### getAttributeValue

    java.lang.String getAttributeValue(XMLTreeEditPanel.TNode node)

### getAttributeContainingObjectNode

    XMLTreeEditPanel.TNode getAttributeContainingObjectNode(XMLTreeEditPanel.TNode attrNode)

### isAtomicValue

    boolean isAtomicValue(XMLTreeEditPanel.TNode node)

### isTextWithAttributes

    boolean isTextWithAttributes(XMLTreeEditPanel.TNode node)

### looksLikeDataValue

    boolean looksLikeDataValue(XMLTreeEditPanel.TNode node)

### syntaxError

    XMLTreeEditPanel.InvalidNode syntaxError(XMLTreeEditPanel.TNode culprit,
                                             java.lang.String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD